package com.goldenwater.gx.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.goldenwater.gx.domain.GxExchangeQuality;
import com.goldenwater.gx.mapper.GxExchangeQualityMapper;
import com.goldenwater.gx.service.IGxExchangeQualityService;

/**
 * 数据质量评估Service业务层处理
 */
@Service
public class GxExchangeQualityServiceImpl implements IGxExchangeQualityService
{
    @Autowired
    private GxExchangeQualityMapper gxExchangeQualityMapper;

    @Override
    public GxExchangeQuality selectGxExchangeQualityById(Long id)
    {
        return gxExchangeQualityMapper.selectGxExchangeQualityById(id);
    }

    @Override
    public List<GxExchangeQuality> selectGxExchangeQualityList(GxExchangeQuality quality)
    {
        return gxExchangeQualityMapper.selectGxExchangeQualityList(quality);
    }

    @Override
    public int insertGxExchangeQuality(GxExchangeQuality quality)
    {
        return gxExchangeQualityMapper.insertGxExchangeQuality(quality);
    }

    @Override
    public int updateGxExchangeQuality(GxExchangeQuality quality)
    {
        return gxExchangeQualityMapper.updateGxExchangeQuality(quality);
    }

    @Override
    public int deleteGxExchangeQualityByIds(Long[] ids)
    {
        return gxExchangeQualityMapper.deleteGxExchangeQualityByIds(ids);
    }

    @Override
    public int deleteGxExchangeQualityById(Long id)
    {
        return gxExchangeQualityMapper.deleteGxExchangeQualityById(id);
    }
}
